> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chemcloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Lists all deliveries for the buyer



## OpenAPI

````yaml https://app.chemcloud.com.au/api-docs/public/buyer/v1/openapi.yaml get /api/public/buyer/v1/deliveries
openapi: 3.0.1
info:
  title: ChemCloud Buyer API
  version: v1
servers:
  - url: https://app.chemcloud.com.au
    description: Production
security: []
paths:
  /api/public/buyer/v1/deliveries:
    get:
      tags:
        - Deliveries
      summary: Lists all deliveries for the buyer
      parameters:
        - name: created_at_from
          in: query
          required: false
          description: Filter deliveries created on or after this date (YYYY-MM-DD)
          example: '2024-01-01'
          schema:
            type: string
        - name: created_at_to
          in: query
          required: false
          description: Filter deliveries created on or before this date (YYYY-MM-DD)
          example: '2024-12-31'
          schema:
            type: string
        - name: status[]
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
              enum:
                - requested
                - confirmed
                - shipped
                - in_port
                - delivered
                - partially_delivered
          description: Filter by delivery status
      responses:
        '200':
          description: Deliveries retrieved
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      format: uuid
                      example: 99999a99-b888-777c-666d-55555555555e
                    url:
                      type: string
                      example: >-
                        https://app.chemcloud.com.au/buyer/deliveries/99999a99-b888-777c-666d-55555555555e
                    order_id:
                      type: string
                      format: uuid
                      example: 99999a99-b888-777c-666d-55555555555e
                    reference:
                      type: string
                      nullable: true
                      example: DEL-001
                    status:
                      type: string
                      enum:
                        - requested
                        - confirmed
                        - shipped
                        - in_port
                        - delivered
                        - partially_delivered
                      example: requested
                    fulfilment_entity:
                      type: string
                      enum:
                        - chemcloud
                        - supplier
                      example: chemcloud
                    required_date:
                      type: string
                      format: date
                      nullable: true
                      example: '2025-12-31'
                    estimated_time_of_departure:
                      type: string
                      format: date-time
                      nullable: true
                      example: '2025-12-31T23:13:11.862Z'
                    estimated_time_of_arrival:
                      type: string
                      format: date-time
                      nullable: true
                      example: '2025-12-31T23:13:11.862Z'
                    actual_time_of_departure:
                      type: string
                      format: date-time
                      nullable: true
                      example: '2025-12-31T23:13:11.862Z'
                    estimated_port_arrival_date:
                      type: string
                      format: date-time
                      nullable: true
                      example: '2025-12-31T23:13:11.862Z'
                    actual_port_arrival_date:
                      type: string
                      format: date-time
                      nullable: true
                      example: '2025-12-31T23:13:11.862Z'
                    delivered_at:
                      type: string
                      format: date-time
                      nullable: true
                      example: '2025-12-31T23:13:11.862Z'
                    tracking_number:
                      type: string
                      nullable: true
                      example: TRACK-001
                    tracking_url:
                      type: string
                      nullable: true
                      example: https://tracking.example.com/TRACK-001
                    container_numbers:
                      type: array
                      items:
                        type: string
                      example:
                        - CONT-001
                    container_number:
                      type: string
                      nullable: true
                      example: CONT-001
                    tags:
                      type: array
                      items:
                        type: object
                        properties:
                          group:
                            type: string
                            example: Shipment Type
                          name:
                            type: string
                            example: Urgent
                    order_attributes:
                      type: object
                      properties:
                        purchase_order_reference:
                          type: string
                          nullable: true
                          example: PO-001
                        purchase_order_line_reference:
                          type: string
                          nullable: true
                          example: '1'
                        supplier_order_reference:
                          type: string
                          nullable: true
                          example: SO-001
                    additional_data:
                      type: object
                      properties:
                        product:
                          type: object
                          properties:
                            buyer_product_display_name:
                              type: string
                              nullable: true
                              example: Sodium Hydroxide 50%
                        supplier:
                          type: object
                          properties:
                            supplier_name:
                              type: string
                              nullable: true
                              example: Supplier Co
                    created_at:
                      type: string
                      format: date-time
                      example: '2025-12-31T23:13:11.862Z'
                    updated_at:
                      type: string
                      format: date-time
                      example: '2025-12-31T23:13:11.862Z'
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-KEY

````